<template>
  <MdEditor v-model="content" />
</template>

<script setup>
import { ref, computed } from 'vue';
import { MdEditor } from 'md-editor-v3';
import 'md-editor-v3/lib/style.css';
// 定义接收的属性
const props = defineProps({
  modelValue: {
    type: String,
    default: ''
  }
});

// 定义触发的事件
const emit = defineEmits(['update:modelValue']);

// 创建计算属性，实现双向绑定
const content = computed({
  get() {
    return props.modelValue;
  },
  set(value) {
    emit('update:modelValue', value);
  }
});

defineOptions({ name: 'MdEditorPreview' })
</script>